#ifndef MARS_MCamEvent
#define MARS_MCamEvent

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

class MGeomCam;

class MCamEvent : public MParContainer
{
public:
    virtual Bool_t GetPixelContent(Double_t &val, Int_t idx, const MGeomCam &cam, Int_t type=0) const = 0;
    virtual void   DrawPixelContent(Int_t num) const = 0;

    ClassDef(MCamEvent, 0) // A camera event
};

#endif

